# Delete Data Vector Index

Launch stage: GA

`DELETE /api/2.0/vector-search/indexes/{name}/delete-data`

Handles the deletion of data from a specified vector index.

API scopes: vector-search

## Path parameters

- `name` (string, optional)
  Name of the vector index where data is to be deleted. Must be a Direct Vector Access Index.

## Query parameters

- `primary_keys` (array of string, optional)
  List of primary keys for the data to be deleted.

## Returns

- `status` (string, optional)
  Status of the delete operation.
  Possible values: `SUCCESS`, `PARTIAL_SUCCESS`, `FAILURE`
- `result` (object, optional)
  Result of the upsert or delete operation.
  - `success_row_count` (int64, optional)
    Count of successfully processed rows.
  - `failed_primary_keys` (array of string, optional)
    List of primary keys for rows that failed to process.

## Request

### Delete a single row of data.

```json
{
  "primary_keys": [
    "1"
  ]
}
```

### Delete multiple rows of data.

```json
{
  "primary_keys": [
    "1",
    "2"
  ]
}
```

## Response

### Failed response for delete operation.

```json
{
  "result": {
    "failed_primary_keys": [
      "1"
    ],
    "success_row_count": 0
  },
  "status": "FAILURE"
}
```

### Partial success response for delete operation.

```json
{
  "result": {
    "failed_primary_keys": [
      "1"
    ],
    "success_row_count": 1
  },
  "status": "PARTIAL_SUCCESS"
}
```

### Successful response for delete operation.

```json
{
  "result": {
    "failed_primary_keys": [],
    "success_row_count": 1
  },
  "status": "SUCCESS"
}
```

